<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.4/css/bulma.css" />
  <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mustache.js/3.0.1/mustache.js"></script>
  <title>To Do List</title>
</head>
<body>
  <section class="section">
    <div class="container">
      <h1 class="title">
        To Do List
      </h1>
      <p class="subtitle">
        Tes trucs<strong> à faire</strong>!
      </p>
    </div>
  </section>
  <section>
    <div class="container">
      <div id="notification" class="notification is-success is-invisible">
          <p></p> <!-- is-alert -->
          <button id="notificationDelete" class="delete"></button>
        </div>
      </div>
  </section>
  <section >
      <div class="container">
        <h2 class="title is-2">A faire</h2>
        <div id="notDoneTasks" ></div>
      </div>
      <div class="container">
        <h2 class="title is-2">Fait!</h2>
        <div id="tasksDone"></div> 
      </div>
      <div class="container">   
        <h2  class="title is-2"> Ajouter une tâche</h2>
        <div class="field">
          <div class="control">
            <input id="newTaskName" class="input is-primary" type="text" placeholder="name">
          </div>
        </div>
        <div class="field">
          <div class="control">
            <input id="newTaskDeadLine" class="input is-primary" type="date" placeholder="Echeance">
          </div>
        </div>
        <label class="checkbox">
            <input id="newTaskStatus" type="checkbox">
            Fait
          </label>
        <div>
          <button id="addButton">Ajouter la tâche</button>
        </div>
      </div>

    <div id="editor" class="modal"> <!--  is-active to display-->
      <div class="modal-background"></div>
      <div class="modal-content">
        <div class="box">
            <h2  class="title is-2"> Edition de la tâche</h2>
            <input id="editTaskId" type="hidden">
            <div class="field">
                <div class="control">
                  <input id="editTaskName" class="input is-primary" type="text" placeholder="name">
                </div>
              </div>
              <div class="field">
                <div class="control">
                  <input id="editTaskDeadLine" class="input is-primary" type="date" placeholder="Echeance">
                </div>
              </div>
              <label class="checkbox">
                  <input id="editTaskDone" type="checkbox">
                  Fait
                </label>
              <div>
                <button id="editButton">Valider les modifications</button>
              </div>
        </div>
      </div>
      <button id="editorClose" class="modal-close is-large" aria-label="close"></button>
    </div>

  </section>
  <script src="index.js"></script>
</body>
</html>
